be.fgov.ehealth.mediprima.core.v2

## Class HospitalizationType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType
  - - be.fgov.ehealth.mediprima.core.v2.HospitalizationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:40:26+02:00",
                 comments="JAXB RI v2.2.11")
      public class HospitalizationType
      extends MedicalCoverCommonInformationType
      implements Serializable

  Java class for HospitalizationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HospitalizationType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:mediprima:core:v2}MedicalCoverCommonInformationType">
             <sequence>
               <element name="HospitalList" type="{urn:be:fgov:ehealth:mediprima:core:v2}NihiiNumberListType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HospitalizationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NihiiNumberListType` | `getHospitalList()` Gets the value of the hospitalList property.
    `void` | `setHospitalList(NihiiNumberListType value)` Sets the value of the hospitalList property.

    - ### Methods inherited from class be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType

      `getAllowedSupplements, getAmountPatientPartMax, getPswcSupport, getValidityPeriod, setAllowedSupplements, setAmountPatientPartMax, setPswcSupport, setValidityPeriod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HospitalizationType

          public HospitalizationType()

  - ### Method Detail

    - #### getHospitalList

          public NihiiNumberListType getHospitalList()

      Gets the value of the hospitalList property.
      Returns:
        possible object is `NihiiNumberListType`

    - #### setHospitalList

          public void setHospitalList(NihiiNumberListType value)

      Sets the value of the hospitalList property.
      Parameters:
        `value` - allowed object is `NihiiNumberListType`

Connector Packaging PERSPHYSICIAN 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.